: Class CvsModule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.cvs
Class CvsModule

    java.lang.Object
      |
      +--org.w3c.jigedit.cvs.CvsModule

public class CvsModule
extends java.lang.Object

Field Summary
`static java.lang.String` | `CVSROOT` Name of the CVS Root value.
`static java.lang.String` | `MODULE_NAME` Name of the module

Method Summary
`static CvsDirectory` | `getCvsManager(java.io.File directory, ResourceContext ctxt, java.util.Properties props)`
`static java.lang.Object` | `getValue(ResourceContext ctxt, java.lang.String name)` Get a value.
`static void` | `setValue(ResourceContext ctxt, java.lang.String name, java.lang.Object value)` Set a value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODULE_NAME

    public static final java.lang.String MODULE_NAME

  Name of the module

### CVSROOT

    public static final java.lang.String CVSROOT

  Name of the CVS Root value.

Method Detail

### setValue

    public static void setValue(ResourceContext ctxt,
                                java.lang.String name,
                                java.lang.Object value)

  Set a value.
  Parameters:
    `ctxt` - the resource context
    `name` - The value name.
    `value` - The value to record.
  Returns:
    an Object.

### getValue

    public static java.lang.Object getValue(ResourceContext ctxt,
                                            java.lang.String name)

  Get a value.
  Parameters:
    `ctxt` - the resource context
    `name` - The value name.
  Returns:
    an Object.

### getCvsManager

    public static CvsDirectory getCvsManager(java.io.File directory,
                                             ResourceContext ctxt,
                                             java.util.Properties props)
                                      throws CvsException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD